Package com.collabnet.ce.soap60.types

# Class SoapFilter

java.lang.Object
com.collabnet.ce.soap60.types.SoapFilter

public class SoapFilter extends Object
The filter class represents a single filter on a specific property. The name of a filter denotes the property that should be filtered. Properties can be field names or special properties like "modifiedAfter", "modifiedBefore", "submittedAfter", "submittedBefore" The value denotes the value that is used in the filter condition. If you pass multiple filter objects with different names in a SOAP call, their conditions will be ANDed. If you supply a filter named "priority" with value "3" and a filter named "title" with value "test" this will return all artifacts having property "priority" set to "3" AND property "title" set to "test".

Since TeamForge 5.3 it is also possible to pass multiple filters with the same name but different values. In this case, all filter conditions belonging to the same filter name will be ORed together. If you supply a filter named "priority" with value "3" and another filter named "priority" with value "1" and a filter named "title" with value "test" this will return all artifacts having property "priority" set to "3" OR "1" where the "title" property is set to "test".

The only exception to this rules are tracker flex fields in order not to break older code. Since flex fields may be multi select fields, ANDing the values did make sense in earlier versions and hence we did not change this behavior.

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DATE_FORMAT`
  This is the standard date formatter for date filters when not specified using millis since 1970.
  `static final String`
  `DATE_ONLY_FORMAT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoapFilter()`
  Default constructor
  `SoapFilter(String name, String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Equals for comparisons
  `String`
  `getName()`
  Returns the name of the property to filter by.
  `String`
  `getValue()`
  Returns the value of the property to filter by.
  `int`
  `hashCode()`
  Use hashcode of name.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  Register this SOAP type for Axis.
  `void`
  `setName(String name)`
  Sets the name of the property to filter by.
  `void`
  `setValue(String value)`
  Sets the value of the property to filter by.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATE_FORMAT

    public static final String DATE_FORMAT
    This is the standard date formatter for date filters when not specified using millis since 1970. Examples of valid date strings:
    - 2005-07-01 15:49:23.005 -0700
    - 2005-05-31 04:02:05.123 +0200
    See Also:
      - Constant Field Values

  - ### DATE_ONLY_FORMAT

    public static final String DATE_ONLY_FORMAT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SoapFilter

    public SoapFilter()
    Default constructor

  - ### SoapFilter

    public SoapFilter(String name, String value)
    Parameters:
      `name` -
      `value` -

- ## Method Details

  - ### getName

    public String getName()
    Returns the name of the property to filter by.
    Returns:
      Name of the property to filter by.

  - ### setName

    public void setName(String name)
    Sets the name of the property to filter by.
    Parameters:
      `name` - Name of the property to filter by.

  - ### getValue

    public String getValue()
    Returns the value of the property to filter by.
    Returns:
      Value of the property to filter by.

  - ### setValue

    public void setValue(String value)
    Sets the value of the property to filter by.
    Parameters:
      `value` - Value of the property to filter by.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)
    Register this SOAP type for Axis.
    Parameters:
      `call` - Axis call object.

  - ### equals

    public boolean equals(Object o)
    Equals for comparisons
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - Compare to object
    Returns:
      Equals or not

  - ### hashCode

    public int hashCode()
    Use hashcode of name.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      Hashcode.